playerc_imu_t Struct Reference
imu

IMU proxy state data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
player_pose3d_t | pose
| The complete pose of the IMU in 3D coordinates + angles.
player_pose3d_t | vel
player_pose3d_t | acc
player_imu_data_calib_t | calib_data
| Calibrated IMU data (accel, gyro, magnetometer)
float | q0
| Orientation data as quaternions.
float | q1
float | q2
float | q3

## Detailed Description

IMU proxy state data.

## Member Data Documentation

playerc_device_t playerc_imu_t::info

Device info; must be at the start of all device structures.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45